> For the complete documentation index, see [llms.txt](https://developer.nexx360.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nexx360.io/integration-methods/vast-ctv/create-vast-config.md).

# Create VAST Config

In the tab “VAST” within the section "Configuration", you can create and manage your VAST configurations.

To create a new VAST configuration, click on "Add a VAST config" button and enter the configuration name.

Complete the various fields by referring to the OpenRTB 2.5 Imp.Video specs available [here](https://www.iab.com/wp-content/uploads/2016/03/OpenRTB-API-Specification-Version-2-5-FINAL.pdf). Feel free to reach out to <tech@nexx360.io> if you need assistance.

## Callback options

After auctions have run, three scenarios can be adopted:

* **No callback**

Return either a VAST tag resulting from auctions or an empty VAST.

* **VAST callback**

Embed a VAST tag that will be called in case Nexx360 has no ad to serve. We provide macros to ensure GDPR items are transmitted:

| Macros             | Value                                        |
| ------------------ | -------------------------------------------- |
| {GDPR}             | 0 or 1 if GDPR applies                       |
| {GDPR\_CONSENT}    | The GDPR consent string                      |
| {REFERRER\_URL}    | The url of the page where video is displayed |
| {CACHEBUSTER}      | A unique id for the impression               |
| {DESCRIPTION\_URL} | Description URL                              |

An example would be:

`https://securepubads.g.doubleclick.net/gampad/ads?env=vp&gdfp_req=1&output=vast&iu=/1234/video-demo&sz=400x300&unviewed_position_start=1&ciu_szs=728x90,300x250&gdpr={GDPR}&gdpr_consent={GDPR_CONSENT}&url={REFERRER_URL}&cachebuster={CACHEBUSTER}`

* **Google Tag for GAM competition**

Return a Google Tag enriched with Key Value targeting. It enables competition with orders in the adserver (direct, deals, ADX...).

We need to have a classic VAST tag available, example:

`https://pubads.g.doubleclick.net/gampad/ads?iu=/1234/video-demo&description_url=&tfcd=0&npa=0&sz=640x480%7C1920x1080&gdfp_req=1&output=vast&unviewed_position_start=1&env=vp&impl=s&correlator=`

{% hint style="warning" %}
For this option, Nexx360 requires a connection to your Google Ad Manager (GAM) account to push SSPs orders and line items.\
👉🏼 More infos [here](/integration-methods/vast-ctv/connect-your-gam-account.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.nexx360.io/integration-methods/vast-ctv/create-vast-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
